Redmine - Defect #22069

500 internal error while creating user with api by json request
2016-02-17 19:33 - Vitaly Margelov

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version:

Resolution: Affected version:

Description

After my .NET Redmine library threw an exception stating that create user request returned 500 error, | figured out, that | can't create
user using JSON, only using by XML request.

I've been taking request examples from here [[http:/www.redmine.org/projects/redmine/wiki/Rest_Users]]

| get internal server error every time | use JSON for my requests, but XML ones are successful. Here is log message:

@Started POST "/redmine/users.json" for at 2016-02-17 09:53:47 -0800
Processing by UsersController#create as JSON

Current user: admin (id=1)

Completed 500 Internal Server Error in 18.0ms

NoMethodError (undefined method “[]' for nil:NilClass):
app/controllers/users_controller.rb:90:in “create'@

We've been testing it on versions 2.6.9-4 and 3.1.2-0. Same error on each. We've used Bitnami to deploy Redmine and apps.

History

#1 - 2016-02-18 04:02 - Toshi MARUYAMA

- Status changed from New to Closed

Please use forum for questions.
Test passes.
source:tags/3.1.2/test/integration/api_test/users_test.ro#l.153
